package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag998;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT998Creator;


public class Tag77ECreator extends AbsTagCreate {
    private MT998Creator mt998Creator;
    public Tag77ECreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt998Creator = (MT998Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag77EValue = mt998Creator.getProprietaryMessage();
        mt998Creator.set("77E",tag77EValue);
    }
}
